Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.log
Class LogLevel

    java.lang.Object
      com.compoze.collab.log.LogLevel

All Implemented Interfaces
  Serializable

    public class LogLevel

extends Object
implements Serializable

This enumeration class contains the available log levels. Five log levels (`TRACE`, `DEBUG`, `INFO`, `WARN` and `ERROR` are available, in order of increasing severity.

See Also
  Serialized Form

Field Summary
`static LogLevel` | `DEBUG` Next-to-lowest level of severity used for debugging applications- will usually be disabled in production.
`static LogLevel` | `ERROR` Highest level of severity- indicates definite problems.
`static LogLevel` | `INFO` Middle level of severity- useful informational messages.
`static LogLevel` | `TRACE` Lowest level of severity, used for messages that can become extremely verbose such as network traces or data dumps- will usually be disabled in production.
`static int` | `VALUE_DEBUG` The int value used for the debug log level.
`static int` | `VALUE_ERROR` The int value used for the error log level.
`static int` | `VALUE_INFO` The int value used for the info log level.
`static int` | `VALUE_TRACE` The int value used for the trace log level.
`static int` | `VALUE_WARN` The int value used for the warn log level.
`static LogLevel` | `WARN` Next-to-highest level of severity- potential problems that need to be evaluated.

Method Summary
`boolean` | `equals(Object obj)`
`static LogLevel` | `get(int iValue)` Gets the log level for an integer value.
`String` | `getDescription()` Gets a description for the log level in the default locale.
`String` | `getDescription(Locale locale)` Gets a description for the log level.
`int` | `getIntValue()` Gets an integer value for the log level.
`String` | `getName()` Gets a readable name for the log level in the default locale.
`String` | `getName(Locale locale)` Gets a readable name for the log level.
`String` | `toString()` Creates a string representation of the log level for debugging purposes.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VALUE_TRACE

    public static final int VALUE_TRACE

  The int value used for the trace log level.

  See Also
    Constants Summary

### VALUE_DEBUG

    public static final int VALUE_DEBUG

  The int value used for the debug log level.

  See Also
    Constants Summary

### VALUE_INFO

    public static final int VALUE_INFO

  The int value used for the info log level.

  See Also
    Constants Summary

### VALUE_WARN

    public static final int VALUE_WARN

  The int value used for the warn log level.

  See Also
    Constants Summary

### VALUE_ERROR

    public static final int VALUE_ERROR

  The int value used for the error log level.

  See Also
    Constants Summary

### TRACE

    public static final LogLevel TRACE

  Lowest level of severity, used for messages that can become extremely verbose such as network traces or data dumps- will usually be disabled in production.

### DEBUG

    public static final LogLevel DEBUG

  Next-to-lowest level of severity used for debugging applications- will usually be disabled in production.

### INFO

    public static final LogLevel INFO

  Middle level of severity- useful informational messages. May be enabled in production.

### WARN

    public static final LogLevel WARN

  Next-to-highest level of severity- potential problems that need to be evaluated. Should be enabled in production.

### ERROR

    public static final LogLevel ERROR

  Highest level of severity- indicates definite problems. Should be enabled in production.

Method Detail

### getName

    public String getName()

  Gets a readable name for the log level in the default locale.

  Returns
    the name

### getName

    public String getName(Locale locale)

  Gets a readable name for the log level.

  Parameters
    `locale` - the locale to get the name of the log level in
  Returns
    the name

### getDescription

    public String getDescription()

  Gets a description for the log level in the default locale.

  Returns
    the description

### getDescription

    public String getDescription(Locale locale)

  Gets a description for the log level.

  Parameters
    `locale` - the locale to get the description in
  Returns
    the description

### getIntValue

    public int getIntValue()

  Gets an integer value for the log level.

  Returns
    the integer value (higher number is more severe)

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also
    `Object.equals(java.lang.Object)`

### get

    public static LogLevel get(int iValue)

  Gets the log level for an integer value.

  Returns
    the log level, or `null` if no match.

### toString

    public String toString()

  Creates a string representation of the log level for debugging purposes.

  Overrides:
    `toString` in class `Object`
  Returns
    the string representation (not `null`)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved